package com.tenlionsoft.oamodule.beans;

import java.util.List;

/**
 * 作者: adam
 * 日期: 2022/4/15 - 17:42
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class RoutineAcceptListBean {

    private int page;
    private int total;
    private List<RowsBean> rows;

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public List<RowsBean> getRows() {
        return rows;
    }

    public void setRows(List<RowsBean> rows) {
        this.rows = rows;
    }

    public static class RowsBean {
        private String content;
        private String files;
        private String gmtCreate;
        private String gmtModified;
        private RoutineBean routineWorkDTO;
        private String routineWorkId;
        private String routineWorkUserId;
        private String status;
        private String userId;
        private String userName;
        private String userType;

        public String getContent() {
            return content;
        }

        public void setContent(String content) {
            this.content = content;
        }

        public String getFiles() {
            return files;
        }

        public void setFiles(String files) {
            this.files = files;
        }

        public String getGmtCreate() {
            return gmtCreate;
        }

        public void setGmtCreate(String gmtCreate) {
            this.gmtCreate = gmtCreate;
        }

        public String getGmtModified() {
            return gmtModified;
        }

        public void setGmtModified(String gmtModified) {
            this.gmtModified = gmtModified;
        }

        public RoutineBean getRoutineWorkDTO() {
            return routineWorkDTO;
        }

        public void setRoutineWorkDTO(RoutineBean routineWorkDTO) {
            this.routineWorkDTO = routineWorkDTO;
        }

        public String getRoutineWorkId() {
            return routineWorkId;
        }

        public void setRoutineWorkId(String routineWorkId) {
            this.routineWorkId = routineWorkId;
        }

        public String getRoutineWorkUserId() {
            return routineWorkUserId;
        }

        public void setRoutineWorkUserId(String routineWorkUserId) {
            this.routineWorkUserId = routineWorkUserId;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getUserType() {
            return userType;
        }

        public void setUserType(String userType) {
            this.userType = userType;
        }


    }
}
